Qt 5.8 | Qt 3D | QML Types | SpotLight QML Type

Qt 5.8.0 Reference Documentation

# SpotLight QML Type

Encapsulate a Spot Light object in a Qt 3D scene. More...

Import Statement: | import Qt3D.Render 2.0
Since: | Qt 5.5
Instantiates: | QSpotLight

- List of all members, including inherited members

## Properties

- constantAttenuation : float
- cutOffAngle : float
- linearAttenuation : float
- localDirection : vector3d
- quadraticAttenuation : float

## Detailed Description

## Property Documentation

constantAttenuation : float

Specifies the constant attenuation of the spot light

cutOffAngle : float

Specifies the cut off angle of the spot light

linearAttenuation : float

Specifies the linear attenuation of the spot light

localDirection : vector3d

Specifies the local direction of the spot light

quadraticAttenuation : float

Specifies the quadratic attenuation of the spot light